#
# Spec file for package plasma-dynamic-wallpaper
#
# Copyright © 2019 Markus S. <kamikazow@opensuse.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

Name:             plasma-dynamic-wallpaper
Summary:          Dynamic wallpaper plugin for KDE Plasma
Version:          2.7
Release:          1%{?dist}
Group:            System/Emulators/Other
License:          GPLv2+
URL:              https://github.com/zzag/dynamic-wallpaper
Source0:          %{url}/archive/%{version}.tar.gz#/plasma5-wallpapers-dynamic-%{version}.tar.gz

BuildRequires:    cmake
BuildRequires:    binutils gcc gcc-c++ gettext
BuildRequires:    extra-cmake-modules
BuildRequires:    gmp-ecm-devel
BuildRequires:    qt5-rpm-macros
BuildRequires:    cmake(KF5Declarative)
BuildRequires:    cmake(KF5Plasma)
BuildRequires:    cmake(KF5I18n)
BuildRequires:    cmake(KF5KIO)
BuildRequires:    cmake(Qt5Core)
BuildRequires:    cmake(Qt5Gui)
BuildRequires:    cmake(Qt5Network)
BuildRequires:    cmake(Qt5Qml)
BuildRequires:    cmake(Qt5Positioning)

%description
Dynamic wallpaper plugin for KDE Plasma

%package lang
Summary:          Translations for Plasma5 dynamic wallpaper plugin
BuildArch:        noarch

%description lang
Translations into various languages for dynamic wallpaper plugin

%files lang
%defattr(-,root,root)
%{_datadir}/locale

%prep
%setup -q -n plasma5-wallpapers-dynamic-%{version}

%build
export CCFLAGS='%{optflags}'

mkdir build
pushd build
%cmake  -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
%make_build
popd

%install
pushd build
%make_install
popd

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%dir %{_libdir}/qt5/qml/com/github/zzag/private/wallpaper
%dir %{_datadir}/plasma/wallpapers/com.github.zzag.wallpaper
%{_libdir}/qt5/qml/com/github/zzag/private/wallpaper/*
%{_qt5_plugindir}/kpackage/packagestructure/*.so
%{_datadir}/dynamicwallpapers
%{_datadir}/kservices5/plasma-wallpaper-com.github.zzag.wallpaper.desktop
%{_datadir}/metainfo/com.github.zzag.wallpaper.appdata.xml
%{_datadir}/plasma/wallpapers/com.github.zzag.wallpaper

%changelog
* Thu Mar 12 2020 Tomas Chang <changyp6@gmail.com> - 2.7-1
- Update to 2.7

* Tue Jun 18 2019 Tomas Chang <changyp6@gmail.com> - 1.7-1
- Build for Fedora

